Bug 145254 (IT_59580)

Summary: ipchains in firewall-masq, firewall-standalone scripts and doc/configs
Product: Red Hat Enterprise Linux 3 Reporter: Uwe Beck <ubeck>
Component: rp-pppoeAssignee: Ngo Than <than>
Status: CLOSED ERRATA QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0CC: mgarski, srevivo, tao
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: RHBA-2006-0334 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-05-03 18:56:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 187539    
Attachments:
Description Flags
rp-pppoe.spec patch none

Description Uwe Beck 2005-01-15 23:44:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Since #128877 there is a patch for change ipchains to iptables in the
/etc/ppp/firewall-* scripts.
The rp-pppoe-3.5-firewall.patch fixes the scripts but in
/usr/share/doc/rp-pppoe-3.5/configs the files firewall-masq.iptables
and firewall-standalone.iptables contains ipchains.
There is a mistake in the rp-pppoe.spec file. In the attach is a patch
which fix this.

rp-pppoe-3.5-4.1 do not contain the #128877 fix.

Also, in U5 schould be a new version of rp-pppoe-3.5 with the
rp-pppoe-3.5-firewall.patch, the rp-pppoe.spec.patch and also with
the MTU/MRU fix from #135015.

All this fixes are in rp-pppoe-3.5-23. Only the rp-pppoe.spec.patch is
open.

Test for rp-pppoe-3.5-23 are o.k..

This are also relevant for RHEL4_BETA2 and the test is also o.k..

Version-Release number of selected component (if applicable):
rp-pppoe-3.5-4.1

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL3
2. firewall script not use iptables, docs/config also
3.
    

Actual Results:  RHEL3 does not contain the fixes from the last mounth

Expected Results:  rp-pppoe should be in U5 in a current fixed version
based on
rp-pppoe-3.5-23 and the rp-pppoe.spec.patch from this bug

Additional info:

This bug is relevant for RHEL3, RHEL4 and also FC.

Comment 1 Uwe Beck 2005-01-15 23:46:03 UTC
Created attachment 109832 [details]
rp-pppoe.spec patch

Comment 2 Ngo Than 2005-01-23 09:39:56 UTC
it's now fixed in 3.5-4.2. it maybe will be included in U5/U6.

Comment 8 Marcin Garski 2006-03-13 13:52:25 UTC
Just FYI rp-pppoe 3.7 is available which has fixed this bug (in 3.6 release):
- Changed sample firewall scripts to use iptables instead of the old ipchains
  command.

Comment 12 Red Hat Bugzilla 2006-05-03 18:56:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0334.html